Package org.eclipse.birt.chart.computation

# Class LegendItemHints

java.lang.Object
org.eclipse.birt.chart.computation.LegendItemHints

public final class LegendItemHints extends Object
LegendItemHints

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`LegendItemHints.Type`

## Method Summary

Modifier and Type
Method
Description
`static LegendItemHints`
`createSeperator()`
`int`
`getIndex()`
`double`
`getItemHeight()`
`String`
`getItemText()`
`Object`
`getItemValue()`
`double`
`getLeft()`
`Series`
`getSeries()`
`SeriesDefinition`
`getSeriesDefinition()`
`double`
`getTop()`
`LegendItemHints.Type`
`getType()`
`int`
`getValidItemLen()`
`int`
`getValidValueLen()`
`double`
`getValueHeight()`
`String`
`getValueText()`
`double`
`getWidth()`
`LegendItemHints`
`itemHeight(double itemHeight)`
`LegendItemHints`
`left(double left)`
`static LegendItemHints`
`newCategoryEntry(String sItem, SeriesDefinition sed, Series se, int index)`
`static LegendItemHints`
`newEntry(String sItem, String sValue, SeriesDefinition sed, Series se, int index)`
`static LegendItemHints`
`newGroupNameEntry(String name)`
`static LegendItemHints`
`newMinSliceEntry(String sItem, SeriesDefinition sed, Series se, int index)`
`void`
`setItemText(String itemText)`
Set the item text.
`void`
`setSeries(Series series)`
`LegendItemHints`
`top(double top)`
`LegendItemHints`
`validItemLen(int validItemLen)`
`LegendItemHints`
`validValueLen(int validValueLen)`
`LegendItemHints`
`valueHeight(double valueHeight)`
`LegendItemHints`
`width(double width)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### newGroupNameEntry

public static LegendItemHints newGroupNameEntry(String name)

### newEntry

public static LegendItemHints newEntry(String sItem, String sValue, SeriesDefinition sed, Series se, int index)

### newCategoryEntry

public static LegendItemHints newCategoryEntry(String sItem, SeriesDefinition sed, Series se, int index)

### newMinSliceEntry

public static LegendItemHints newMinSliceEntry(String sItem, SeriesDefinition sed, Series se, int index)

### createSeperator

public static LegendItemHints createSeperator()

### left

public LegendItemHints left(double left)

### top

public LegendItemHints top(double top)

### validItemLen

public LegendItemHints validItemLen(int validItemLen)

### validValueLen

public LegendItemHints validValueLen(int validValueLen)

### width

public LegendItemHints width(double width)

### itemHeight

public LegendItemHints itemHeight(double itemHeight)

### valueHeight

public LegendItemHints valueHeight(double valueHeight)

### getType

public LegendItemHints.Type getType()

### getSeries

public Series getSeries()

Returns:
  Returns the series.

### getSeriesDefinition

public SeriesDefinition getSeriesDefinition()

Returns:
  Returns the seriesDefinition.

### getIndex

public int getIndex()

Returns:
  Returns the index.

### getItemText

public String getItemText()

Returns:
  Returns the sItem.

### getItemValue

public Object getItemValue()

Returns:
  legend item value.

### setItemText

public void setItemText(String itemText)
Set the item text.

Parameters:
  `itemText` -

### getValueText

public String getValueText()

Returns:
  Returns the sValue.

### setSeries

public void setSeries(Series series)

Parameters:
  `series` - The series to set.

### getLeft

public double getLeft()

Returns:
  Returns the left.

### getTop

public double getTop()

Returns:
  Returns the top.

### getWidth

public double getWidth()

Returns:
  Returns the width.

### getItemHeight

public double getItemHeight()

Returns:
  Returns the itemHeight.

### getValueHeight

public double getValueHeight()

Returns:
  Returns the valueHeight.

### getValidItemLen

public int getValidItemLen()

Returns:
  Returns the validItemLen.

### getValidValueLen

public int getValidValueLen()

Returns:
  Returns the validValueLen.